estimatesmartfee
POST
Estimates the fee rate per kvB needed for a transaction to begin confirmation within the target number of blocks.
📘 When there is not enough data for an estimate, errors is returned instead of feerate.
param[0]
confTargetintegerrequired
The confirmation target in blocks. Pass a value between 1 and 1008.param[1]
estimateModestringrequired
The fee estimate mode.economical: Estimates over a shorter time horizon, so it is more responsive to short-term fee drops.conservative: Estimates over a longer time horizon, so it is less responsive to short-term fee drops. It is more likely to be sufficient for the target but may return a higher fee rate.unset: Does not set a mode and uses the default behavior.
Responses
feeratenumber
The estimated fee rate, expressed in BTC/kvB. Returned only when no errors were encountered.errorsarray
The list of errors encountered during estimation. Returned only when an error occurred.blocksinteger
The block number where the estimate was found.The requested target is clamped between 2 and the highest target fee estimation is able to return.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://bitcoin-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "estimatesmartfee","params": [6,"economical"]}'